glibmm 2.48.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::Rand Class Reference
Random Numbers

`#include <glibmm/random.h>`

## Public Member Functions
| Rand ()
| Rand (guint32 seed)
| ~Rand () noexcept
| Rand (const Rand&)=delete
Rand& | operator= (const Rand&)=delete
void | set_seed (guint32 seed)
bool | get_bool ()
guint32 | get_int ()
gint32 | get_int_range (gint32 begin, gint32 end)
double | get_double ()
double | get_double_range (double begin, double end)
GRand* | gobj ()
const GRand* | gobj () const

## Detailed Description

Examples:
  thread/dispatcher.cc, and thread/thread.cc.

## Constructor & Destructor Documentation

Glib::Rand::Rand | ( |  | ) |

Glib::Rand::Rand | ( | guint32 | seed | ) |
| explicit

Glib::Rand::~Rand | ( |  | ) |
| noexcept

Glib::Rand::Rand | ( | const Rand& |  | ) |
| delete

## Member Function Documentation

bool Glib::Rand::get_bool | ( |  | ) |

Examples:
  thread/thread.cc.

double Glib::Rand::get_double | ( |  | ) |

double Glib::Rand::get_double_range | ( | double | begin,
|  | double | end
| ) |  |

guint32 Glib::Rand::get_int | ( |  | ) |

gint32 Glib::Rand::get_int_range | ( | gint32 | begin,
|  | gint32 | end
| ) |  |

Examples:
  thread/dispatcher.cc, and thread/thread.cc.

GRand* Glib::Rand::gobj | ( |  | ) |
| inline

const GRand* Glib::Rand::gobj | ( |  | ) | const
| inline

Rand& Glib::Rand::operator= | ( | const Rand& |  | ) |
| delete

void Glib::Rand::set_seed | ( | guint32 | seed | ) |